| Home | Libraries | People | FAQ | More

## Global _b

boost::xpressive::_b — Word boundary assertion.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified _b;

## Description

'_b' matches the zero-width sub-sequence at the beginning or the end of a word. It is equivalent to (bow | eow). The regex traits are used to determine what constitutes a word character. To match a non-word boundary, use ~_b.

| Note
_b is like \b in perl. ~_b is like \B in perl.